---
title: "Retrieve a connection"
slug: "retrieve-a-connection"
abstract: "Describes how to retrieve a connection using the Sitecore Personalize Connection REST API."
---
# Retrieve a connection

`GET /v2/connections/<connectionRef>`

Retrieves a connection.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `connectionRef` | string | The reference of the connection.<br><br>If you do not know the connection reference, first [retrieve connections](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/connection-rest-api/retrieve-connections.html). | `47c20b31-b5d8-492f-94e5-064958716c21` |

The response is an object that contains the connection. You can use this object to [test the connection](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/connection-rest-api/test-a-connection.html "Test a connection").

```curl
curl -X GET '<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21",
    "ref": "47c20b31-b5d8-492f-94e5-064958716c21",
    "name": "Weather Data System",
    "description": "Weather Data System",
    "modifiedByRef": "bfe5bd9a-f37b-4b9d-a3e4-169674d251ea",
    "modifiedAt": "2026-01-30T22:`02:23`.401Z",
    "revision": 1,
    "archived": false,
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "exampleValue": "{\"key\":\"RkeVXoh0NB5K8nGUH-Ew7w\",\"message\":{\"text\":\"Some text\",\"subject\":\"Connection!\",\"from_email\":\"support@sitecore.com\",\"from_name\":\"Sitecore\",\"to\":[{\"email\":\"email@sitecore.com\",\"name\":\"firstName\",\"type\":\"to\"}]}}",
    "inputMappings": [
        {
            "label": "Key",
            "key": "key",
            "type": "string",
            "exampleValue": "RkeVXoh0NB5K8nGUH-Ew7w",
            "mapping": ""
        },
        {
            "label": "Message",
            "key": "message",
            "type": "object",
            "exampleValue": "{\"text\":\"Some text\",\"subject\":\"Connection!\",\"from_email\":\"support@sitecore.com\",\"from_name\":\"Sitecore\",\"to\":[{\"email\":\"email@sitecore.com\",\"name\":\"firstName\",\"type\":\"to\"}]}",
            "mapping": ""
        }
    ],
    "outputMappings": [],
    "customHeaders": [
        {
            "name": "Accept",
            "value": "application/json"
        },
        {
            "name": "Accept-Encoding",
            "value": "gzip"
        },
        {
            "name": "Content-Type",
            "value": "application/json"
        }
    ],
    "urlParameters": [],
    "systemType": "DESTINATION",
    "connectionTimeout": 1000,
    "socketTimeout": 1000,
    "icon": "assets/images/channel-images/email.svg"
}

```